"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = require("react");
exports.default = (initState) => {
    const stateRef = (0, react_1.useRef)(false);
    (0, react_1.useEffect)(() => {
        stateRef.current = true;
        return () => {
            stateRef.current = false;
        };
    }, []);
    const [state, dispatch] = (0, react_1.useReducer)((_state, _payload) => {
        return Object.assign(Object.assign({}, _state), _payload);
    }, initState);
    const _dispatch = (payload) => {
        if (stateRef === null || stateRef === void 0 ? void 0 : stateRef.current) {
            dispatch(payload);
        }
    };
    return [state, _dispatch];
};
