"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const react_native_1 = require("react-native");
const Colors_1 = __importDefault(require("../Colors"));
const style_1 = __importDefault(require("./style"));
const react_redux_1 = require("react-redux");
;
const ImageButton = ({ styleContainer = {}, styleText = {}, text = '', name, size, onPress, onLongPress, }) => {
    const state = (0, react_redux_1.useSelector)((state) => state.common);
    const _onPress = () => {
        onPress === null || onPress === void 0 ? void 0 : onPress();
    };
    const _onLongPress = () => {
        onLongPress === null || onLongPress === void 0 ? void 0 : onLongPress();
    };
    const renderImage = () => {
        if (name == 'home') {
            return (react_1.default.createElement(react_native_1.Image, { style: { width: size, height: size }, source: require('./image/home.png') }));
        }
        else if (name == 'home_active') {
            return (react_1.default.createElement(react_native_1.Image, { style: { width: size, height: size }, source: require('./image/home_active.png') }));
        }
        else if (name == 'category') {
            return (react_1.default.createElement(react_native_1.Image, { style: { width: size, height: size }, source: require('./image/category.png') }));
        }
        else if (name == 'category_active') {
            return (react_1.default.createElement(react_native_1.Image, { style: { width: size, height: size }, source: require('./image/category_active.png') }));
        }
        else if (name == 'cart') {
            return (react_1.default.createElement(react_native_1.Image, { style: { width: size, height: size }, source: require('./image/cart.png') }));
        }
        else if (name == 'cart_active') {
            return (react_1.default.createElement(react_native_1.Image, { style: { width: size, height: size }, source: require('./image/cart_active.png') }));
        }
        else if (name == 'user') {
            return (react_1.default.createElement(react_native_1.Image, { style: { width: size, height: size }, source: require('./image/user.png') }));
        }
        else if (name == 'user_active') {
            return (react_1.default.createElement(react_native_1.Image, { style: { width: size, height: size }, source: require('./image/user_active.png') }));
        }
        else if (name == 'order') {
            return (react_1.default.createElement(react_native_1.Image, { style: { width: size, height: size }, source: require('./image/order.png') }));
        }
        else if (name == 'order_active') {
            return (react_1.default.createElement(react_native_1.Image, { style: { width: size, height: size }, source: require('./image/order_active.png') }));
        }
        return null;
    };
    const renderButton = () => {
        if (!name)
            return null;
        return (react_1.default.createElement(react_native_1.TouchableNativeFeedback, { background: Colors_1.default.TouchColor, onPress: _onPress, onLongPress: _onLongPress },
            react_1.default.createElement(react_native_1.View, { style: styleContainer },
                react_1.default.createElement(react_native_1.View, { style: style_1.default.image },
                    ((name === 'cart' || name === 'cart_active') && (state === null || state === void 0 ? void 0 : state.isCart)) ? react_1.default.createElement(react_native_1.View, { style: style_1.default.dot }) : null,
                    renderImage()),
                text ? (react_1.default.createElement(react_native_1.Text, { style: styleText }, text)) : null)));
    };
    return renderButton();
};
exports.default = ImageButton;
